#715 – Fatal errors in Joomla 3.4.8

Status: Pending - Category: Route 66
 Hi,

I wanted to try out your Route 66. Most of my tries showed this error:

Fatal error: Class 'Joomla\CMS\Language\LanguageHelper' not found in ***/plugins/system/route66/lib/form/fields/route66pattern.php on line 41
which is: $siteLanguages = LanguageHelper::getInstalledLanguages(0);

My website used the Polish Language in the backend so I changed it to English.

Eventually the backend crashed with this error:
***/plugins/system/route66/lib/router.php on line 47
which is: if ($application->isClient('site') && $application->getLanguageFilter())

Is this a matter of language settings?
The website is old and uses Joomla 3.4.8 and PHP 5.6.33. Is this the reason? If so, is there an older version of Route 66 I can use?

Thx in advance
Tommy
Hi Tommy,

Joomla 3.4 is 5 years old and has known security issues.
Route 66 requires a recent stable version of Joomla since it also works with Joomla 4.
I strongly recommend to update both Joomla and your server PHP version.
I know that this might require some work, so if you don't want to do this, just remove manually the files of the plugin under /plugins/system/route66 and then uninstall the extension.

Regards
 

Note: An active subscription is required in order to get support for our paid extensions. For our free extensions, if you don't have an account, register and then submit your support request.  In case you just want to ask a question, you can also use the contact form .

Firecoders
Are you using our extensions? Please post a review at the Joomla extensions directory!
Post a review